| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::face::FacemarkLBF::Params Struct Reference

`#include <opencv2/face/facemarkLBF.hpp>`

Collaboration diagram for cv::face::FacemarkLBF::Params:

## Public Member Functions
| Params ()
| Constructor.
void | read (const FileNode &)
void | write (FileStorage &) const

## Public Attributes
double | bagging_overlap
| overlap ratio for training the LBF feature
String | cascade_face
| filename of the face detector model
Rect | detectROI
std::vector< int > | feats_m
int | initShape_n
| multiplier for augment the training data
std::string | model_filename
| filename where the trained model will be saved
int | n_landmarks
| number of landmark points
std::vector< int > | pupils [2]
| index of facemark points on pupils of left and right eye
std::vector< double > | radius_m
bool | save_model
| flag to save the trained model or not
unsigned int | seed
| seed for shuffling the training data
double | shape_offset
| offset for the loaded face landmark points
int | stages_n
| number of refinement stages
int | tree_depth
| the depth of decision tree, defines the size of feature
int | tree_n
| number of tree in the model for each landmark point refinement
bool | verbose
| show the training print-out

## Constructor & Destructor Documentation

## ◆ Params()

cv::face::FacemarkLBF::Params::Params | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ read()

void cv::face::FacemarkLBF::Params::read | ( | const FileNode & |  | ) |

## ◆ write()

void cv::face::FacemarkLBF::Params::write | ( | FileStorage & |  | ) | const

## Member Data Documentation

## ◆ bagging_overlap

double cv::face::FacemarkLBF::Params::bagging_overlap

overlap ratio for training the LBF feature

## ◆ cascade_face

String cv::face::FacemarkLBF::Params::cascade_face

filename of the face detector model

## ◆ detectROI

Rect cv::face::FacemarkLBF::Params::detectROI

## ◆ feats_m

std::vector<int> cv::face::FacemarkLBF::Params::feats_m

## ◆ initShape_n

int cv::face::FacemarkLBF::Params::initShape_n

multiplier for augment the training data

## ◆ model_filename

std::string cv::face::FacemarkLBF::Params::model_filename

filename where the trained model will be saved

## ◆ n_landmarks

int cv::face::FacemarkLBF::Params::n_landmarks

number of landmark points

## ◆ pupils

std::vector<int> cv::face::FacemarkLBF::Params::pupils[2]

index of facemark points on pupils of left and right eye

## ◆ radius_m

std::vector<double> cv::face::FacemarkLBF::Params::radius_m

## ◆ save_model

bool cv::face::FacemarkLBF::Params::save_model

flag to save the trained model or not

## ◆ seed

unsigned int cv::face::FacemarkLBF::Params::seed

seed for shuffling the training data

## ◆ shape_offset

double cv::face::FacemarkLBF::Params::shape_offset

offset for the loaded face landmark points

## ◆ stages_n

int cv::face::FacemarkLBF::Params::stages_n

number of refinement stages

## ◆ tree_depth

int cv::face::FacemarkLBF::Params::tree_depth

the depth of decision tree, defines the size of feature

## ◆ tree_n

int cv::face::FacemarkLBF::Params::tree_n

number of tree in the model for each landmark point refinement

## ◆ verbose

bool cv::face::FacemarkLBF::Params::verbose

show the training print-out

The documentation for this struct was generated from the following file:

- opencv2/face/facemarkLBF.hpp